aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.QueueAttributes

# Documentation

data GetQueueAttributes #

Constructors

GetQueueAttributes |

Fields

- gqaQueueName :: QueueName
- gqaAttributes :: [QueueAttribute]

#### Instances

Instances details

SignQuery GetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration GetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration

Methods

signQuery :: GetQueueAttributes -> ServiceConfiguration GetQueueAttributes queryType -> SignatureData -> SignedQuery #

Show GetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> GetQueueAttributes -> ShowS # show :: GetQueueAttributes -> String # showList :: [GetQueueAttributes] -> ShowS #
Transaction GetQueueAttributes GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type ServiceConfiguration GetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration

data GetQueueAttributesResponse #

Constructors

GetQueueAttributesResponse |

Fields

- gqarAttributes :: [(QueueAttribute, Text)]

#### Instances

Instances details

AsMemoryResponse GetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse

Methods

loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) #

Show GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> GetQueueAttributesResponse -> ShowS # show :: GetQueueAttributesResponse -> String # showList :: [GetQueueAttributesResponse] -> ShowS #
ResponseConsumer r GetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata GetQueueAttributesResponse) -> HTTPResponseConsumer GetQueueAttributesResponse #

Transaction GetQueueAttributes GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type MemoryResponse GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse
type ResponseMetadata GetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata

parseAttributes :: Cursor -> [(QueueAttribute, Text)] #

formatAttributes :: [QueueAttribute] -> [(ByteString, Maybe ByteString)] #

data SetQueueAttributes #

Constructors

SetQueueAttributes |

Fields

- sqaAttribute :: QueueAttribute
- sqaValue :: Text
- sqaQueueName :: QueueName

#### Instances

Instances details

SignQuery SetQueueAttributes # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ServiceConfiguration SetQueueAttributes |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

Methods

signQuery :: SetQueueAttributes -> ServiceConfiguration SetQueueAttributes queryType -> SignatureData -> SignedQuery #

Show SetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> SetQueueAttributes -> ShowS # show :: SetQueueAttributes -> String # showList :: [SetQueueAttributes] -> ShowS #
Transaction SetQueueAttributes SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type ServiceConfiguration SetQueueAttributes # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

data SetQueueAttributesResponse #

Constructors

SetQueueAttributesResponse |

#### Instances

Instances details

AsMemoryResponse SetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse

Methods

loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) #

Show SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes Methods showsPrec :: Int -> SetQueueAttributesResponse -> ShowS # show :: SetQueueAttributesResponse -> String # showList :: [SetQueueAttributesResponse] -> ShowS #
ResponseConsumer r SetQueueAttributesResponse # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type ResponseMetadata SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SetQueueAttributesResponse) -> HTTPResponseConsumer SetQueueAttributesResponse #

Transaction SetQueueAttributes SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
type MemoryResponse SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse
type ResponseMetadata SetQueueAttributesResponse # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata